// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface LoginResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.LoginResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string session_id = 1;</code>
   */
  java.lang.String getSessionId();
  /**
   * <code>optional string session_id = 1;</code>
   */
  com.google.protobuf.ByteString
      getSessionIdBytes();

  /**
   * <code>optional bool is_success = 2;</code>
   */
  boolean getIsSuccess();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.UserDto user = 3;</code>
   */
  boolean hasUser();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.UserDto user = 3;</code>
   */
  com.accelfin.server.demo.fx.dtos.UserDto getUser();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.UserDto user = 3;</code>
   */
  com.accelfin.server.demo.fx.dtos.UserDtoOrBuilder getUserOrBuilder();
}
